// *****************************************************************
// ****                      Synth CORE B                       ****
// ****                  www.tolaemon.com/scoreb                ****
// ****                       Source code                       ****
// ****                       13/11/2011                        ****
// ****                     Jordi Bartolome                     ****
// ****                                                         ****
// **** IMPORTANT:                                              ****
// **** Using parts of this code means accepting all conditions ****
// **** exposed on the web: www.tolaemon.com/scoreb             ****
// ****                                                         ****
// **** Parts of this code have been taken from the demo source ****
// **** code of EVK1100 Atmel's evaluation board				****
// *****************************************************************

/* Copyright (C) 2006-2008, Atmel Corporation All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name of ATMEL may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND
 * SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
	FreeRTOS.org V4.7.2 - Copyright (C) 2003-2008 Richard Barry.

	This file is part of the FreeRTOS.org distribution.

	FreeRTOS.org is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	FreeRTOS.org is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with FreeRTOS.org; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	A special exception to the GPL can be applied should you wish to distribute
	a combined work that includes FreeRTOS.org, without being obliged to provide
	the source code for any proprietary components.  See the licensing section
	of http://www.FreeRTOS.org for full details of how and when the exception
	can be applied.

	***************************************************************************

	Please ensure to read the configuration and relevant port sections of the
	online documentation.

	+++ http://www.FreeRTOS.org +++
	Documentation, latest information, license and contact details.

	+++ http://www.SafeRTOS.com +++
	A version that is certified for use in safety critical systems.

	+++ http://www.OpenRTOS.com +++
	Commercial support, development, porting, licensing and training services.

	***************************************************************************
*/

#ifndef SCOREB_GPIO_PORTS_H
#define SCOREB_GPIO_PORTS_H


//LCD CONNNECTOR 2 x 13:
//---------------------
// 01 GND
// 02 VCC_LCD
// 03 CONTRAST
// 04 BUS_IO_1 ..............PB21 ( pin 5 )
// 05 BUS_IO_2 ..............PB22 ( pin 6 )
// 06 BUS_IO_3 ..............PB23 ( pin 9 )
// 07 BUS_IO_4 ..............PB24 ( pin 11 )
// 08 BUS_IO_5 ..............PB25 ( pin 13 )
// 09 BUS_IO_6 ..............PB26 ( pin 14 )
// 10 BUS_IO_7 ..............PB27 ( pin 15 )
// 11 BUS_IO_8 ..............PB28 ( pin 19 )
// 12 BUS_IO_9 ..............PB31 ( pin 22 )
// 13 BUS_IO_10..............PA02 ( pin 30 )
// 14 BUS_IO_11 .............PA04 ( pin 34 )
// 15 VCC_CD
// 16 BACKLIGHT
// 17 BUS_IO_12..............PX12 ( pin 42 )
// 18 BUS_IO_13..............PA07 ( pin 43 )
// 19 BUS_IO_14..............PX13 ( pin 44 )
// 20 BUS_IO_15..............PX15 ( pin 59 )
// 21 VCC 5
// 22 VCC 5
// 23 VCC 3
// 24 VCC 3
// 25 GND
// 26 GND
//
// EXPANSION CONNECTOR 2 x 30:
// --------------------------
// PIN IO - N SIGNAL ...........
// 01 BUS IO 01...............PB21 ( pin 5  )
// 02 BUS IO 02...............PB22 ( pin 6  )
// 03 BUS IO 03...............PB23 ( pin 9  )
// 04 BUS IO 04...............PB24 ( pin 11 )
// 05 BUS IO 05...............PB25 ( pin 13 )
// 06 BUS IO 06...............PB26 ( pin 14 )
// 07 BUS IO 07...............PB27 ( pin 15 )
// 08 BUS IO 08...............PB28 ( pin 19 )
// 09 GND
// 10 GND
// 11 BUS IO 09...............PB31 ( pin 22 )
// 12 BUS IO 10...............PA02 ( pin 30 )
// 13 BUS IO 11...............PA04 ( pin 34 )
// 14 BUS IO 12...............PX12 ( pin 42 )
// 15 BUS IO 13...............PA07 ( pin 43 )
// 16 BUS IO 14...............PX13 ( pin 44 )
// 17 BUS IO 15...............PX15 ( pin 59 )
// 18 BUS IO 16...............PX16 ( pin 61 )
// 19 GND
// 20 GND
// 21 BUS IO 17...............PA19 ( pin 64 )
// 22 BUS IO 18...............PA20 ( pin 66 )
// 23 BUS IO 19...............PX19 ( pin 67 )
// 24 BUS IO 20...............PB00 ( pin 88 )
// 25 BUS IO 21...............PB01 ( pin 90 )
// 26 BUS IO 22...............PX22 ( pin 91 )
// 27 BUS IO 23...............PB02 ( pin 96 )
// 28 BUS IO 24...............PB03 ( pin 98 )
// 29 GND
// 30 GND
// 31 BUS IO 25...............PB04 ( pin 100 )
// 32 BUS IO 26...............PB05 ( pin 102 )
// 33 BUS IO 27...............PB06 ( pin 104 )
// 34 BUS IO 28...............PB07 ( pin 106 )
// 35 BUS IO 29...............PB08 ( pin 111 )
// 36 BUS IO 30...............PB09 ( pin 113 )
// 37 BUS IO 31...............PA29 ( pin 122 )
// 38 BUS IO 32...............PA30 ( pin 123 )
// 39 GND
// 40 GND
// 41 BUS IO 33...............PB15 ( pin 134 )
// 42 BUS IO 34...............PB18 ( pin 141 )
// 43 BUS IO 35...............PB19 ( pin 143 )
// 44 GND
// 45 BUS_IO_MIDI_IN..........PB29 ( pin 20 ) if MIDI circuit is not mounted, this USART Rx will be available on this IO PIN ( remeber to solder the jumper )
// 46 BUS_IO_MIDI_OUT.........PB30 ( pin 21 ) if MIDI circuit is not mounted, this USART Tx will be available on this IO PIN ( remeber to solder the jumper )
// 47 BUS_IO_SERIAL_USB_IN....PA05 ( pin 39 ) if USB-232 circuit is not mounted, this USART Rx will be available on this IO PIN ( remeber to solder the jumper )
// 48 BUS_IO_SERIAL_USB_OUT...PA06 ( pin 41 ) if USB-232 circuit is not mounted, this USART Tx will be available on this IO PIN ( remeber to solder the jumper )
// 49 BUS_IO_SPI0_MISO........PA11 ( pin 50 ) the SPI 0 MISO pin is available on this IO PIN ( remeber to solder the jumper )
// 50 BUS_IO_SPI0_MOSI........PA12 ( pin 53 ) the SPI 0 MOSI pin is available on this IO PIN ( remeber to solder the jumper )
// 51 BUS_IO_SPI0_SCK.........PA13 ( pin 54 ) the SPI 0 SCK pin is available on this IO PIN ( remeber to solder the jumper )
// 52 BUS_IO_SPI1_MISO........PA17 ( pin 60 ) if SD Card unit is not used, the SPI 1 MISO pin is available on this IO PIN ( remeber to solder the jumper )
// 53 BUS_IO_SPI1_MOSI........PA16 ( pin 58 ) if SD Card unit is not used, the SPI 1 MOSI pin is available on this IO PIN ( remeber to solder the jumper )
// 54 BUS_IO_SPI1_SCK.........PA15 ( pin 57 ) if SD Card unit is not used, the SPI 1 SCK pin is available on this IO PIN ( remeber to solder the jumper )
// 55 GND
// 56 GND
// 57 VCC 3
// 58 VCC 3
// 59 VCC 5
// 60 VCC 5

#define SCOREB_BUS_IO_01	  AVR32_PIN_PB21 // 01 BUS IO 01...............PB21 ( pin 5 )
#define SCOREB_BUS_IO_02	  AVR32_PIN_PB22 // 02 BUS IO 02...............PB22 ( pin 6 )
#define SCOREB_BUS_IO_03	  AVR32_PIN_PB23 // 03 BUS IO 03...............PB23 ( pin 9 )
#define SCOREB_BUS_IO_04	  AVR32_PIN_PB24 // 04 BUS IO 04...............PB24 ( pin 11 )
#define SCOREB_BUS_IO_05	  AVR32_PIN_PB25 // 05 BUS IO 05...............PB25 ( pin 13 )
#define SCOREB_BUS_IO_06	  AVR32_PIN_PB26 // 06 BUS IO 06...............PB26 ( pin 14 )
#define SCOREB_BUS_IO_07	  AVR32_PIN_PB27 // 07 BUS IO 07...............PB27 ( pin 15 )
#define SCOREB_BUS_IO_08	  AVR32_PIN_PB28 // 08 BUS IO 08...............PB28 ( pin 19 )
// 09 GND
// 10 GND
#define SCOREB_BUS_IO_09	  AVR32_PIN_PB31 // 11 BUS IO 09...............PB31 ( pin 22 )
#define SCOREB_BUS_IO_10	  AVR32_PIN_PA02 // 12 BUS IO 10...............PA02 ( pin 30 )
#define SCOREB_BUS_IO_11	  AVR32_PIN_PA04 // 13 BUS IO 11...............PA04 ( pin 34 )
#define SCOREB_BUS_IO_12	  AVR32_PIN_PX12 // 14 BUS IO 12...............PX12 ( pin 42 )
#define SCOREB_BUS_IO_13	  AVR32_PIN_PA07 // 15 BUS IO 13...............PA07 ( pin 43 )
#define SCOREB_BUS_IO_14	  AVR32_PIN_PX13 // 16 BUS IO 14...............PX13 ( pin 44 )
#define SCOREB_BUS_IO_15	  AVR32_PIN_PX15 // 17 BUS IO 15...............PX15 ( pin 59 )
#define SCOREB_BUS_IO_16	  AVR32_PIN_PX16 // 18 BUS IO 16...............PX16 ( pin 61 )
// 19 GND
// 20 GND
#define SCOREB_BUS_IO_17	  AVR32_PIN_PA19 // 21 BUS IO 17...............PA19 ( pin 64 )
#define SCOREB_BUS_IO_18	  AVR32_PIN_PA20 // 22 BUS IO 18...............PA20 ( pin 66 )
#define SCOREB_BUS_IO_19	  AVR32_PIN_PX19 // 23 BUS IO 19...............PX19 ( pin 67 )
#define SCOREB_BUS_IO_20	  AVR32_PIN_PB00 // 24 BUS IO 20...............PB00 ( pin 88 )
#define SCOREB_BUS_IO_21	  AVR32_PIN_PB01 // 25 BUS IO 21...............PB01 ( pin 90 )
#define SCOREB_BUS_IO_22	  AVR32_PIN_PX22 // 26 BUS IO 22...............PX22 ( pin 91 )
#define SCOREB_BUS_IO_23	  AVR32_PIN_PB02 // 27 BUS IO 23...............PB02 ( pin 96 )
#define SCOREB_BUS_IO_24	  AVR32_PIN_PB03 // 28 BUS IO 24...............PB03 ( pin 98 )
// 29 GND
// 30 GND
#define SCOREB_BUS_IO_25	  AVR32_PIN_PB04 // 31 BUS IO 25...............PB04 ( pin 100 )
#define SCOREB_BUS_IO_26	  AVR32_PIN_PB05 // 32 BUS IO 26...............PB05 ( pin 102 )
#define SCOREB_BUS_IO_27	  AVR32_PIN_PB06 // 33 BUS IO 27...............PB06 ( pin 104 )
#define SCOREB_BUS_IO_28	  AVR32_PIN_PB07 // 34 BUS IO 28...............PB07 ( pin 106 )
#define SCOREB_BUS_IO_29	  AVR32_PIN_PB08 // 35 BUS IO 29...............PB08 ( pin 111 )
#define SCOREB_BUS_IO_30	  AVR32_PIN_PB09 // 36 BUS IO 30...............PB09 ( pin 113 )
#define SCOREB_BUS_IO_31	  AVR32_PIN_PA29 // 37 BUS IO 31...............PA29 ( pin 122 )
#define SCOREB_BUS_IO_32	  AVR32_PIN_PA30 // 38 BUS IO 32...............PA30 ( pin 123 )
// 39 GND
// 40 GND
#define SCOREB_BUS_IO_33	  AVR32_PIN_PB15 // 41 BUS IO 33...............PB15 ( pin 134 )
#define SCOREB_BUS_IO_34	  AVR32_PIN_PB18 // 42 BUS IO 34...............PB18 ( pin 141 )
#define SCOREB_BUS_IO_35	  AVR32_PIN_PB19 // 43 BUS IO 35...............PB19 ( pin 143 )
// 44 GND
// ...

#endif // GPIO_PORTS

